<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

/*********************************************/
/* Récupération département en fonction pays */
/*********************************************/

session_start(); 
sleep(1);
if (array_key_exists("pays", $_REQUEST))
{
	$tomorrow = 0;//60*60*24; // en nb de secondes
	header("Cache-Control: max-age=$tomorrow");
	print_plain();
}
else
{
	print "Usage : $_SERVER[PHP_SELF]?pays=un-code-pays";
}

function print_plain()
{
	header("Content-type: text/html; charset=windows-1252");
	$dep = get_dep($_REQUEST["pays"]);
	$result = array();
	foreach ($dep as $row)
	{
		$result[] = $row["dep_code"]."=".$row["dep_code"]." (".$row["dep_nom"].")";
	}
	if (count($result)==0)
		$result[]="-1=-- Inconnu --";
	print implode(";", $result);
}

function get_dep($pays)
{
	if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
	include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
	include_once("../inc/config.inc.php");
	include_once("../inc/func_txt.inc.php");
	// On se connecte a la base
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	// On recupere les enregistrements
	$rech = "SELECT * FROM ".TBDEP." WHERE dep_codepays='".str_majuscules($pays)."' AND dep_lng='".str_majuscules($_SESSION["lng"])."' ORDER BY dep_code";
	$rs = mysql_query($rech) or die(mysql_error());
	// On cree le resultat
	$result = array();
	while($row = mysql_fetch_array($rs))
	{
		$result[] = $row;
	}
	mysql_close();
	return $result;
}

?>